org.apache.xerces.xs

## Interface XSLoader

-     public interface XSLoader

  An interface that provides a method to load XML Schema documents. This interface uses the DOM Level 3 Core and Load and Save interfaces.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.DOMConfiguration` | `getConfig()` The configuration of a document.
    `XSModel` | `load(org.w3c.dom.ls.LSInput is)` Parse an XML Schema document from a resource identified by a `LSInput` .
    `XSModel` | `loadInputList(LSInputList is)` Parses the content of XML Schema documents specified as a list of `LSInput`s.
    `XSModel` | `loadURI(java.lang.String uri)` Parse an XML Schema document from a location identified by a URI reference.
    `XSModel` | `loadURIList(StringList uriList)` Parses the content of XML Schema documents specified as the list of URI references.

- - ### Method Detail

    - #### getConfig

          org.w3c.dom.DOMConfiguration getConfig()

      The configuration of a document. It maintains a table of recognized parameters. Using the configuration, it is possible to change the behavior of the load methods. The configuration may support the setting of and the retrieval of the following non-boolean parameters defined on the `DOMConfiguration` interface: `error-handler` (`DOMErrorHandler`) and `resource-resolver` (`LSResourceResolver`).
      The following list of boolean parameters is defined:
      `"validate"`
        `true`
          [required] (default) Validate an XML Schema during loading. If validation errors are found, the error handler is notified.
        `false`
          [optional] Do not report errors during the loading of an XML Schema document.

    - #### loadURIList

          XSModel loadURIList(StringList uriList)

      Parses the content of XML Schema documents specified as the list of URI references. If the URI contains a fragment identifier, the behavior is not defined by this specification.
      Parameters:
        `uriList` - The list of URI locations.
      Returns:
        An XSModel representing the schema documents.

    - #### loadInputList

          XSModel loadInputList(LSInputList is)

      Parses the content of XML Schema documents specified as a list of `LSInput`s.
      Parameters:
        `is` - The list of `LSInput`s from which the XML Schema documents are to be read.
      Returns:
        An XSModel representing the schema documents.

    - #### loadURI

          XSModel loadURI(java.lang.String uri)

      Parse an XML Schema document from a location identified by a URI reference. If the URI contains a fragment identifier, the behavior is not defined by this specification.
      Parameters:
        `uri` - The location of the XML Schema document to be read.
      Returns:
        An XSModel representing this schema.

    - #### load

          XSModel load(org.w3c.dom.ls.LSInput is)

      Parse an XML Schema document from a resource identified by a `LSInput` .
      Parameters:
        `is` - The `LSInput` from which the source document is to be read.
      Returns:
        An XSModel representing this schema.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.